(function ($, Drupal) {
  Drupal.behaviors.time_clockBehavior = {
    attach: function (context, settings) {
      setInterval(timeClock, 1000);
    }
  };

  function digitalClock() {
    let timezone = settings.timezone;
    let timeformat = (settings.timeformat == 1) ? FALSE : TRUE;
    let today = new Date();
    today = today.toLocaleString({timeZone:timezone, hour12:timeformat});
    today = today.split(',');
    return $.trim(today[1]);
  }

  function timeClock() {
    let digiClock = document.querySelector("#dynamic_time");
    digiClock.innerText = digitalClock();
  }
})(jQuery, Drupal);
